---
title: "Get AI content by contentId"
url: https://docs.gleap.ai/en/reference/rest-api/find-by-content-id
method: GET
path: "/aicontent/{contentId}"
api: "API Reference"
tag: "AI content"
operationId: "FindByContentId"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Get AI content by contentId

`GET https://api.gleap.io/v3/aicontent/{contentId}`

Get AI content by contentId

Retrieve a single AI content entry by its contentId

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `contentId` (string, required)

## Headers

- `project` (string, required)

## Example request

```bash
curl --request GET \
  --url 'https://api.gleap.io/v3/aicontent/{contentId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>'
```

## Responses

### 200 (`application/json`)

Ok
